
/* Licensed Materials - Property of IBM
 * 5725-I43 (C) Copyright IBM Corp. 2018. All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

 /* author - Srihari Kulkarni | skulkarni@in.ibm.com | Slack - @Srihari */
 
 package com.ibm;

import java.util.Collections;
import java.util.List;
import java.util.ArrayList;

import com.facebook.react.ReactPackage;
import com.facebook.react.bridge.NativeModule;
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.uimanager.ViewManager;
import com.facebook.react.bridge.JavaScriptModule;

import com.ibm.bridge.RNWLClient;
import com.ibm.bridge.RNWLAnalytics;
import com.ibm.bridge.RNWLAuthorizationManager;
import com.ibm.bridge.RNWLResourceRequest;
import com.ibm.bridge.RNLogger;

public class RNMobileFirstPackage implements ReactPackage {
    @Override
    public List<NativeModule> createNativeModules(ReactApplicationContext reactContext) {
        List<NativeModule> modules = new ArrayList<>();

        modules.add(new RNWLClient(reactContext));
        modules.add(new RNWLAuthorizationManager(reactContext));
        modules.add(new RNWLResourceRequest(reactContext));
        modules.add(new RNLogger(reactContext));
        modules.add(new RNWLAnalytics(reactContext));
        return modules;
    }

    // Deprecated from RN 0.47
    public List<Class<? extends JavaScriptModule>> createJSModules() {
      return Collections.emptyList();
    }

    @Override
    public List<ViewManager> createViewManagers(ReactApplicationContext reactContext) {
      return Collections.emptyList();
    }

}